### Hierarchy

- DeepCopy<Pageable>
  - Pageable

## Index

### Constructors

- constructor

### Properties

- page
- size
- sort

### Methods

- copy
- deepCopyFromJson

## Constructors

### constructor

- new Pageable(sort: string, page: number, size: number): Pageable

- - Defined in repository/models/Page.ts:7

  #### Parameters

  - ##### sort: string

  - ##### page: number

  - ##### size: number

  #### Returns Pageable

## Properties

### page

page: number

- Defined in repository/models/Page.ts:6

### size

size: number

- Defined in repository/models/Page.ts:7

### sort

sort: string | undefined

- Defined in repository/models/Page.ts:5

## Methods

### copy

- copy(changeArgs?: JsonObject<Pageable>): Pageable

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<Pageable>

  #### Returns Pageable

### Protected deepCopyFromJson

- deepCopyFromJson(): Pageable

- Inherited from DeepCopy.deepCopyFromJson

  - Defined in repository/models/DeepCopy.ts:18

  #### Returns Pageable

Generated using TypeDoc